[Fedora-livecd-list] Branch 'f14-branch' - 2 commits - Makefile tools/livecd-iso-to-disk.sh

Brian C. Lane bcl at fedoraproject.org
Thu Nov 3 22:38:17 UTC 2011


 Makefile                    |    2 +-
 tools/livecd-iso-to-disk.sh |   43 +++++++++++++++++++++++++------------------
 2 files changed, 26 insertions(+), 19 deletions(-)

New commits:
commit 51c67692018d748a9a8b1cb6f57d7a4f6775b82b
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Nov 3 15:29:50 2011 -0700

    Version 14.6

diff --git a/Makefile b/Makefile
index bd23bf8..c15696d 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
 
-VERSION = 14.5
+VERSION = 14.6
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}


commit 4db4de4ca457799edd2c07bdc85253c1ae22cfb7
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu Nov 3 14:06:40 2011 -0700

    Make sure the target is labeled LIVE (#751213)
    
    Anaconda needs to be able to find the boot device. It does this by
    looking for the filesystem labeled LIVE. Previously we set the label
    when formatting, but now we always set it to LIVE, even when not
    formatting.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index e093759..be5efe7 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -278,29 +278,36 @@ checkFilesystem() {
         fi
     fi
 
+    USBLABEL=$(/sbin/blkid -s LABEL -o value $dev)
+    if [ "$USBLABEL" != "LIVE" ]; then
+        if [ "$USBFS" = "vfat" -o "$USBFS" = "msdos" ]; then
+            /sbin/dosfslabel $dev LIVE
+            if [ $? -gt 0 ]; then
+                echo "dosfslabel failed on $dev, device not setup"
+                exitclean
+            fi
+        elif [ "$USBFS" = "ext2" -o "$USBFS" = "ext3" -o "$USBFS" = "ext4" ]; then
+            /sbin/e2label $dev LIVE
+            if [ $? -gt 0 ]; then
+                echo "e2label failed on $dev, device not setup"
+                exitclean
+            fi
+        else
+            echo "Unknown filesystem type. Try setting its label to LIVE and re-running"
+            exitclean
+        fi
+    fi
 
-    USBLABEL=$(/sbin/blkid -s UUID -o value $dev)
-    if [ -n "$USBLABEL" ]; then
-	USBLABEL="UUID=$USBLABEL" ;
+    # Use UUID if available
+    USBUUID=$(/sbin/blkid -s UUID -o value $dev)
+    if [ -n "$USBUUID" ]; then
+        USBLABEL="UUID=$USBUUID"
     else
-	USBLABEL=$(/sbin/blkid -s LABEL -o value $dev)
-	if [ -n "$USBLABEL" ]; then
-	    USBLABEL="LABEL=$USBLABEL"
-	else
-	    echo "Need to have a filesystem label or UUID for your USB device"
-	    if [ "$USBFS" = "vfat" -o "$USBFS" = "msdos" ]; then
-		echo "Label can be set with /sbin/dosfslabel"
-	    elif [ "$USBFS" = "ext2" -o "$USBFS" = "ext3" -o "$USBFS" = "ext4" ]; then
-		echo "Label can be set with /sbin/e2label"
-	    elif [ "$USBFS" = "btrfs" ]; then
-                echo "Eventually you'll be able to use /sbin/btrfs filesystem label to add a label."
-	    fi
-	    exitclean
-	fi
+        USBLABEL="LABEL=LIVE"
     fi
 
     if [ "$USBFS" = "vfat" -o "$USBFS" = "msdos" ]; then
-	mountopts="-o shortname=winnt,umask=0077"
+        mountopts="-o shortname=winnt,umask=0077"
     fi
 }
 




More information about the livecd mailing list